/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICollection, IContext, IDocument, IScribe, ISequencedOperationMessage } from "@fluidframework/server-services-core";
import { ICheckpointManager } from "./interfaces";
/**
 * MongoDB specific implementation of ICheckpointManager
 */
export declare class CheckpointManager implements ICheckpointManager {
    protected readonly context: IContext;
    private readonly tenantId;
    private readonly documentId;
    private readonly documentCollection;
    private readonly opCollection;
    private readonly clientFacadeRetryEnabled;
    constructor(context: IContext, tenantId: string, documentId: string, documentCollection: ICollection<IDocument>, opCollection: ICollection<ISequencedOperationMessage>);
    /**
     * Writes the checkpoint information to MongoDB
     */
    write(checkpoint: IScribe, protocolHead: number, pending: ISequencedOperationMessage[]): Promise<void>;
    /**
     * Removes the checkpoint information from MongoDB
     */
    delete(sequenceNumber: number, lte: boolean): Promise<void>;
}
//# sourceMappingURL=checkpointManager.d.ts.map